# Uses of Class
org.apache.lucene.util.UnicodeUtil.UTF8CodePoint

Packages that use UnicodeUtil.UTF8CodePoint
Package
Description
org.apache.lucene.util
Some utility classes.

- ## Uses of UnicodeUtil.UTF8CodePoint in org.apache.lucene.util

  Methods in org.apache.lucene.util that return UnicodeUtil.UTF8CodePoint
  Modifier and Type
  Method
  Description
  `static UnicodeUtil.UTF8CodePoint`
  UnicodeUtil.`codePointAt(byte[] utf8, int pos, UnicodeUtil.UTF8CodePoint reuse)`
  Computes the codepoint and codepoint length (in bytes) of the specified `offset` in the provided `utf8` byte array, assuming UTF8 encoding.
  Methods in org.apache.lucene.util with parameters of type UnicodeUtil.UTF8CodePoint
  Modifier and Type
  Method
  Description
  `static UnicodeUtil.UTF8CodePoint`
  UnicodeUtil.`codePointAt(byte[] utf8, int pos, UnicodeUtil.UTF8CodePoint reuse)`
  Computes the codepoint and codepoint length (in bytes) of the specified `offset` in the provided `utf8` byte array, assuming UTF8 encoding.